Subject: Re: [PATCH net-next v5 1/3] scm: add SO_PASSPIDFD and SCM_PIDFD

From: Jakub Kicinski <[email-masked]>
Date: Mon, 22 May 2023 13:12:52 -0700

On Mon, 22 May 2023 15:19:17 +0200 Simon Horman wrote:
> > TLI, that AF_UNIX can be a kernel module...
> > I'm really not excited in exposing pidfd_prepare() to non-core kernel
> > code. Would it be possible to please simply refuse SO_PEERPIDFD and
> > SCM_PIDFD if AF_UNIX is compiled as a module? I feel that this must be
> > super rare because it risks breaking even simplistic userspace.  
> 
> It occurs to me that it may be simpler to not allow AF_UNIX to be a module.
> But perhaps that breaks something for someone...

Both of the two options (disable the feature with unix=m, make unix
bool) could lead to breakage, I reckon at least the latter makes
the breakage more obvious? So not allowing AF_UNIX as a module
gets my vote as well.

A mechanism of exporting symbols for core/internal use only would 
find a lot of use in networking :(